# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 's3rsync/version'

Gem::Specification.new do |spec|
  spec.name          = "s3rsync"
  spec.version       = S3rsync::VERSION
  spec.authors       = ["idevops"]
  spec.email         = ["devops@innovid.com"]
  spec.summary       = "Remote update protocol between local set of files and S3 storage"
  spec.description   = "Remote update protocol allows sync files to transfer just the differences between two sets of files across the network connection between local filesystem and s3 storage"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "0.19.1"
  spec.add_dependency "lockfile", "2.1.3"
  spec.add_dependency "statsd-ruby", "1.2.1"
  
  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "bump"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "growl"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "coveralls"
end
